=== debian/changelog ===
cwltest (2.3.20230825125225-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * remove patch, it was applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 25 Aug 2023 15:21:14 +0200

cwltest (2.3.20230607140609-1) experimental; urgency=medium

  * Initial release. (Closes: #1037201)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 07 Jun 2023 14:31:22 +0100
