=== debian/changelog ===
cwltest (2.4.20231222081524-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 03 Jan 2024 11:29:37 +0100
