=== debian/control ===
Source: cwltest
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3,
               python3-all,
               pybuild-plugin-pyproject,
               python3-setuptools,
               python3-rdflib <!nocheck>,
               python3-junit.xml <!nocheck>,
               python3-schema-salad <!nocheck>,
               python3-defusedxml <!nocheck>,
               python3-ruamel.yaml <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-mock <!nocheck>,
               python-is-python3 <!nocheck>,
               cwltool <!nocheck>,
               python3-typing-extensions <!nocheck> <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/cwltest
Vcs-Git: https://salsa.debian.org/med-team/cwltest.git
Homepage: https://www.commonwl.org
Rules-Requires-Root: no

Package: cwltest
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-rdflib,
         python3-junit.xml,
         python3-schema-salad,
         python3-defusedxml,
         python3-ruamel.yaml,
Recommends: python3-pytest
Suggests: cwl-runner
Description: Common Workflow Language testing framework
 This is a testing tool for checking the output of Tools and Workflows described
 with the Common Workflow Language.  Among other uses, it is used to run the CWL
 conformance tests.
