=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
                python3-pytest-xdist <!nocheck>,
                python3-pytest-runner <!nocheck>,
                python3-pytest-mock <!nocheck>,
-               python3-mock <!nocheck>,
                python-is-python3 <!nocheck>,
                cwltool <!nocheck>,
                python3-typing-extensions <!nocheck> <!nodoc>
