=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
include /usr/share/dpkg/default.mk
export PYBUILD_NAME=cwltest
export CWLTOOL_OPTIONS=--no-container
#export PYBUILD_TEST_ARGS=-n=auto -p pytester
#export HOME=$(shell echo $$PWD"/fakehome")

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	find debian -name 'cat1-testcli.cwl' -exec chmod a+x {} \;
