## cwltest 2.5.20240425111257

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 DEVPKGS=-rdev-requirements.txt -rtest-requirements.txt -rmypy-requirements.txt
 DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
 	   python-flake8 python-mock shellcheck
-VERSION=2.4.$(shell TZ=UTC git log --first-parent --max-count=1 \
+VERSION=2.5.$(shell TZ=UTC git log --first-parent --max-count=1 \
 	--format=format:%cd --date=format-local:%Y%m%d%H%M%S)
 
 ## all                    : default task (install in dev mode)
