=== debian/changelog ===
cwltest (2.5.20240425111257-1) unstable; urgency=medium

  * d/control: build-dep on setuptools-scm to set the version correctly.
  * d/{rules,control,manpages}: use help2man to generate a manual page
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 25 Apr 2024 16:17:51 +0300

cwltest (2.5.20240304113812-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Mar 2024 14:19:22 +0100
