=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                python3-all,
                pybuild-plugin-pyproject,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-rdflib <!nocheck>,
                python3-junit.xml <!nocheck>,
                python3-schema-salad <!nocheck>,
@@ -20,7 +21,8 @@
                python3-pytest-mock <!nocheck>,
                python-is-python3 <!nocheck>,
                cwltool <!nocheck>,
-               python3-typing-extensions <!nocheck> <!nodoc>
+               python3-typing-extensions <!nocheck> <!nodoc>,
+               help2man <!nodoc>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cwltest
 Vcs-Git: https://salsa.debian.org/med-team/cwltest.git
