## cwltest 2.5.20240714110256

=== debian/changelog ===
cwltest (2.5.20240714110256-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 13:38:58 +0200
