## cwltest 2.5.20240906231108

=== debian/changelog ===
cwltest (2.5.20240906231108-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 12 Sep 2024 15:43:35 +0200
