=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                cwltool <!nocheck>,
                python3-typing-extensions <!nocheck> <!nodoc>,
                help2man <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/cwltest
 Vcs-Git: https://salsa.debian.org/med-team/cwltest.git
 Homepage: https://www.commonwl.org
