=== docs/requirements.txt ===
sphinx >= 2.2
sphinx-rtd-theme==3.0.2
sphinx-autoapi
sphinx-autodoc-typehints
sphinxcontrib-autoprogram
