=== debian/changelog ===
cwltest (2.6.20250818005349-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-junit.xml and python3-schema-salad.
    Required by help2man. Closes: #1116722.
  * d/control: Drop "Rules-Requires-Root: no", it's now the default.
  * d/control: Drop "Priority: optional", it's now the default.

 -- Santiago Vila <sanvila@debian.org>  Mon, 06 Oct 2025 22:30:00 +0200

cwltest (2.6.20250818005349-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Sep 2025 14:56:17 +0200
