=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: science
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3,
@@ -11,8 +10,8 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-rdflib <!nocheck>,
-               python3-junit.xml <!nocheck>,
-               python3-schema-salad <!nocheck>,
+               python3-junit.xml,
+               python3-schema-salad,
                python3-defusedxml <!nocheck>,
                python3-ruamel.yaml <!nocheck>,
                python3-pytest <!nocheck>,
@@ -23,11 +22,10 @@
                cwltool <!nocheck>,
                python3-typing-extensions <!nocheck> <!nodoc>,
                help2man <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/cwltest
 Vcs-Git: https://salsa.debian.org/med-team/cwltest.git
 Homepage: https://www.commonwl.org
-Rules-Requires-Root: no
 
 Package: cwltest
 Architecture: all
