=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,6 @@
 
 execute_after_dh_auto_install:
 	find debian -name 'cat1-testcli.cwl' -exec chmod a+x {} \;
+
+execute_before_dh_installman:
+	PYTHONPATH=. help2man --no-info ./debian/cwltest/usr/bin/cwltest > debian/cwltest.1
