=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest-mock, python3-pytest-runner, cwltool, python3-pytest (>> 6.2), python-is-python3
Restrictions: allow-stderr
