=== requirements.txt ===
schema-salad >= 5.0.20200220195218, < 9
junit-xml >= 1.8
pytest >= 8.3, < 10
defusedxml
