=== debian/changelog ===
cwltest (2.6.20251216093331-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 07 Jan 2026 15:31:02 +0100
