=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: science
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3,
@@ -22,7 +23,7 @@
                cwltool <!nocheck>,
                python3-typing-extensions <!nocheck> <!nodoc>,
                help2man <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/cwltest
 Vcs-Git: https://salsa.debian.org/med-team/cwltest.git
 Homepage: https://www.commonwl.org
@@ -35,7 +36,7 @@
          python3-junit.xml,
          python3-schema-salad,
          python3-defusedxml,
-         python3-ruamel.yaml,
+         python3-ruamel.yaml
 Recommends: python3-pytest
 Suggests: cwl-runner
 Description: Common Workflow Language testing framework
